| Home | Libraries | People | FAQ | More

## Macro BOOST_RV_REF_BEG

BOOST_RV_REF_BEG

## Synopsis

    // In header: <boost/move/move.hpp>

    BOOST_RV_REF_BEG

## Description

This macro is used to achieve portable syntax in move constructors and assignments for template classes marked as BOOST_COPYABLE_AND_MOVABLE or BOOST_MOVABLE_BUT_NOT_COPYABLE. As macros have problem with comma-separatd template arguments, the template argument must be preceded with BOOST_RV_REF_START and ended with BOOST_RV_REF_END